import { ClientAppContribution, CommandContribution, CommandRegistry, ComponentContribution, ComponentRegistry, ISettingGroup, ISettingSection, KeybindingContribution, KeybindingRegistry, SlotRendererContribution, SlotRendererRegistry } from '@opensumi/ide-core-browser';
import { IMenuRegistry, MenuContribution } from '@opensumi/ide-core-browser/lib/menu/next';
import { ResourceService } from '@opensumi/ide-editor';
import { BrowserEditorContribution, IEditorDocumentModelContentRegistry, IEditorFeatureRegistry } from '@opensumi/ide-editor/lib/browser';
import { SettingContribution } from '@opensumi/ide-preferences';
export declare class AiNativeBrowserContribution implements ClientAppContribution, ComponentContribution, BrowserEditorContribution, MenuContribution, CommandContribution, SlotRendererContribution, SettingContribution, KeybindingContribution {
    private readonly aiDiffDocumentProvider;
    private readonly injector;
    private readonly aiChatService;
    private readonly view;
    private readonly terminalController;
    private readonly aiRunService;
    private readonly aiProject;
    private readonly aiSumi;
    private readonly contributions;
    private readonly aiRunFeatureRegistry;
    private readonly inlineChatFeatureRegistry;
    private readonly commandService;
    private readonly aiInlineCompletionsProvider;
    private readonly aiCompletionsService;
    private readonly aiNativeConfigService;
    private readonly aiMenubarService;
    private layoutState;
    private readonly renameCandidatesProviderRegistry;
    constructor();
    onStart(): void;
    onDidStart(): void;
    private registerFeature;
    handleSettingGroup(settingGroup: ISettingGroup[]): ISettingGroup[];
    handleSettingSections(settingSections: {
        [key: string]: ISettingSection[];
    }): {
        "AI-Native": ISettingSection[];
    };
    registerComponent(registry: ComponentRegistry): void;
    registerEditorFeature(registry: IEditorFeatureRegistry): void;
    registerCommands(commands: CommandRegistry): void;
    registerMenus(menus: IMenuRegistry): void;
    registerEditorDocumentModelContentProvider(registry: IEditorDocumentModelContentRegistry): void;
    registerResource(resourceService: ResourceService): void;
    registerRenderer(registry: SlotRendererRegistry): void;
    registerKeybindings(keybindings: KeybindingRegistry): void;
    private updateLayoutState;
}
//# sourceMappingURL=ai-core.contribution.d.ts.map