import type { DebouncedFunc } from 'lodash';
import { Disposable, IDisposable, MaybePromise, URI } from '@opensumi/ide-core-common';
import { IEditor, IEditorFeatureContribution } from '@opensumi/ide-editor/lib/browser';
import { MonacoTelemetryService } from '@opensumi/ide-monaco/lib/browser/telemetry.service';
import { editor as MonacoEditor } from '@opensumi/monaco-editor-core';
import { LanguageParserFactory } from './languages/parser';
export declare class AiEditorContribution extends Disposable implements IEditorFeatureContribution {
    private readonly injector;
    private readonly aiNativeConfigService;
    private readonly aiInlineChatService;
    private readonly aiChatService;
    private readonly loggerManagerClient;
    private readonly preferenceService;
    private readonly ctxMenuRenderer;
    private readonly aiInlineCompletionsProvider;
    private readonly inlineChatFeatureRegistry;
    private readonly aiReporter;
    private readonly contributions;
    private aiCompletionsService;
    private readonly renameSuggestionService;
    languageParserFactory: LanguageParserFactory;
    private latestMiddlewareCollector;
    private logger;
    debounceInlineChatHandler: DebouncedFunc<() => void>;
    /**
     * widget 固定展示
     */
    widgetPin: boolean;
    constructor();
    private aiDiffWidget;
    private aiInlineContentWidget;
    private aiInlineChatDisposed;
    private aiInlineChatOperationDisposed;
    private disposeAllWidget;
    contribute(editor: IEditor): IDisposable;
    inlineChatInUsing: boolean;
    /**
     * 新版 inline chat（类似 cursor 那种）
     */
    private registerInlineChat;
    private handleDiffPreviewStrategy;
    provideEditorOptionsForUri?(uri: URI): MaybePromise<Partial<MonacoEditor.IEditorOptions>>;
    /**
     * 代码补全
     */
    private registerCompletion;
    /**
     * 代码补全
     */
    private registerCodeActionForInlineChat;
    monacoTelemetryService: MonacoTelemetryService;
    lastmodelRequestRenameEndTime: number | undefined;
    lastmodelRequestRenameSessionId: string | undefined;
    modelRequestSession: Map<string, {
        done: boolean;
    }>;
    private registerRenameSuggestions;
}
//# sourceMappingURL=ai-editor.contribution.d.ts.map