"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AiMenuBarContribution = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const next_1 = require("@opensumi/ide-core-browser/lib/menu/next");
const menu_bar_store_1 = require("@opensumi/ide-menu-bar/lib/browser/menu-bar.store");
const common_1 = require("../../../../common");
const menu_bar_view_1 = require("./menu-bar.view");
let AiMenuBarContribution = class AiMenuBarContribution extends ide_core_browser_1.Disposable {
    constructor() {
        super();
        this.menubarStore.unregisterMenusBarByCompact(next_1.MenuId.AiMenuBarTopExtra);
        this.addDispose(this.menubarStore.onDidMenuBarChange((menubarItems) => {
            this.menuRegistry.registerMenuItems(next_1.MenuId.AiMenuBarTopExtra, menubarItems.map((item) => ({
                label: item.label,
                submenu: item.id,
                iconClass: item.iconClass,
                group: '1_navigation',
                order: 100,
            })));
        }));
    }
    registerComponent(registry) {
        registry.register(common_1.Ai_MENUBAR_CONTAINER_VIEW_ID, {
            component: menu_bar_view_1.AiMenuBarView,
            id: common_1.Ai_MENUBAR_CONTAINER_VIEW_ID,
        });
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(menu_bar_store_1.MenubarStore),
    tslib_1.__metadata("design:type", menu_bar_store_1.MenubarStore)
], AiMenuBarContribution.prototype, "menubarStore", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(next_1.IMenuRegistry),
    tslib_1.__metadata("design:type", next_1.IMenuRegistry)
], AiMenuBarContribution.prototype, "menuRegistry", void 0);
AiMenuBarContribution = tslib_1.__decorate([
    (0, di_1.Injectable)(),
    (0, ide_core_browser_1.Domain)(ide_core_browser_1.ComponentContribution),
    tslib_1.__metadata("design:paramtypes", [])
], AiMenuBarContribution);
exports.AiMenuBarContribution = AiMenuBarContribution;
//# sourceMappingURL=menu-bar.contribution.js.map